#
# spec file for package python-langdetect
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-langdetect
Version:        1.0.8
Release:        bp155.2.10
Summary:        Language detection library ported from Google's language-detection
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/Mimino666/langdetect
Source:         https://files.pythonhosted.org/packages/source/l/langdetect/langdetect-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-six
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module six}
# /SECTION
%python_subpackages

%description
python-langdetect is a port of Google's language-detection library to Python.
It supports 55 languages out of the box:
af, ar, bg, bn, ca, cs, cy, da, de, el, en, es, et, fa, fi, fr, gu, he,
hi, hr, hu, id, it, ja, kn, ko, lt, lv, mk, ml, mr, ne, nl, no, pa, pl,
pt, ro, ru, sk, sl, so, sq, sv, sw, ta, te, th, tl, tr, uk, ur, vi, zh-cn, zh-tw

%prep
%setup -q -n langdetect-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Apr 15 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 1.0.8
  * Drop unsupported Python 2.6, 3.2, 3.3
  * Support Python 3.7, 3.8
* Sun May 12 2019 John Vandenberg <jayvdb@gmail.com>
- Remove %%bcond_without test
- Tidy spec
* Wed Sep 20 2017 alarrosa@suse.com
- Initial release of python-langdetect 1.0.7
